summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2015-12-24 12:39:55 +0100
committerLars Wendler <polynomial-c@gentoo.org>2015-12-24 12:39:55 +0100
commit1c79ac75209475c9f3034ac776e3ad78cdd9c921 (patch)
tree724b90b879f8f7ce5e486c9bfc115ff581d100a8 /sys-apps/findutils
parentdev-python/cffi: Version Bump (diff)
downloadgentoo-1c79ac75209475c9f3034ac776e3ad78cdd9c921.tar.gz
gentoo-1c79ac75209475c9f3034ac776e3ad78cdd9c921.tar.bz2
gentoo-1c79ac75209475c9f3034ac776e3ad78cdd9c921.zip
sys-apps/findutils: Bump to version 4.5.16
Package-Manager: portage-2.2.26 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'sys-apps/findutils')
-rw-r--r--sys-apps/findutils/Manifest1
-rw-r--r--sys-apps/findutils/findutils-4.5.16.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/sys-apps/findutils/Manifest b/sys-apps/findutils/Manifest
index 197448c7e7d..f6327b800d4 100644
--- a/sys-apps/findutils/Manifest
+++ b/sys-apps/findutils/Manifest
@@ -1,3 +1,4 @@
DIST findutils-4.4.2.tar.gz 2149838 SHA256 434f32d171cbc0a5e72cfc5372c6fc4cb0e681f8dce566a0de5b6fccd702b62a SHA512 262d0a8301158e6541b9f24e4e043d8d8c1b196b18dbe59c3bedcf17b50c95708e33ab23a07e3bfb947ad495faafffdca3c296fb525794ca60f2dfd682f228c1 WHIRLPOOL 2af1467403ece2f290be6b9f69db013d386427ab553efcf750ce36bf608fab0d37708209c22bf61b8a82f41aa13bf25a247c62f78dc95446290b7a4bd35d3393
DIST findutils-4.5.14.tar.gz 3536727 SHA256 0de3cf625a5c9f154eee3171e072515ffdde405244dd00502af617ac57b73ae2 SHA512 e26f0d58c316202d99d7dcc1c4d4d40591150dcf198dff2dab0f8ef5e4dc039a5ff42ef536bfc08d860f39ee4bd8215591b4cb460ff45f73007040fc5f99e66b WHIRLPOOL 116b725ffb76562a3f1e9bbfa475a791b873746a7ae362eea1a97f3b701c6e32508eafb10fe47a3ad8f56ef0e67fb04a5d98a7baf5371646945718e7aff5ad60
DIST findutils-4.5.15.tar.gz 3815470 SHA256 bc843179f32cba7bec8192edc91b4ad0d0bf434e61b82c04d9d2c8115617d9fb SHA512 425e14ce956fcfe83412d49b63f9487cda2ce935b6f707c4fe7d4334449d1db47369bad8358979b2782ac749047bf6396e49fb92bef114518a1d6c133417e186 WHIRLPOOL f6a3761dc2c50faca0a7684731ed543676382ac4c23ed48804d70c243b53ddd34ba41c0e96fbb20a079d3e51b4a1f1773707d8b1ed7c4e44b4685544b1ae7470
+DIST findutils-4.5.16.tar.gz 3869606 SHA256 d116b48cf2a90a457726f58e24842bfa6078447d0c53be0fd1593f2555f7caae SHA512 d03100ea0708448ac714e86b6bc8ae4d9667f46df1cf0d29e1cfad6f52656254a47a2dd7ef88aaa68f94f399e848cd9d0977e25eda3781cfcd20819dc9fa76d6 WHIRLPOOL d42c7028eccdb38229aa725fade1a6aa2b2a57a65f317ccff83cf3da5594463f7810c17cc10fa5ced89a4213780133a57fd61948dc5d03b300a57f927e103eb2
diff --git a/sys-apps/findutils/findutils-4.5.16.ebuild b/sys-apps/findutils/findutils-4.5.16.ebuild
new file mode 100644
index 00000000000..7b49dced731
--- /dev/null
+++ b/sys-apps/findutils/findutils-4.5.16.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit eutils flag-o-matic toolchain-funcs python-any-r1
+
+DESCRIPTION="GNU utilities for finding files"
+HOMEPAGE="https://www.gnu.org/software/findutils/"
+SRC_URI="mirror://gnu-alpha/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug nls selinux static test"
+
+RDEPEND="selinux? ( sys-libs/libselinux )
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ test? ( ${PYTHON_DEPS} )
+ nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Don't build or install locate because it conflicts with slocate,
+ # which is a secure version of locate. See bug 18729
+ sed -i '/^SUBDIRS/s/locate//' Makefile.in
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ program_prefix=$(usex userland_GNU '' g)
+ econf \
+ --with-packager="Gentoo" \
+ --with-packager-version="${PVR}" \
+ --with-packager-bug-reports="https://bugs.gentoo.org/" \
+ --program-prefix=${program_prefix} \
+ $(use_enable debug) \
+ $(use_enable nls) \
+ $(use_with selinux) \
+ --libexecdir='$(libdir)'/find
+}
+
+src_compile() {
+ # We don't build locate, but the docs want a file in there.
+ emake -C locate dblocation.texi
+ default
+}
+
+src_install() {
+ default
+
+ # We don't need this, so punt it.
+ rm "${ED}"/usr/bin/${program_prefix}oldfind \
+ "${ED}"/usr/share/man/man1/${program_prefix}oldfind.1 || die
+}